## python-tzlocal 5.3.1

=== Makefile ===
root_dir := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
bin_dir := $(root_dir)/ve/bin

all: devenv test

# The fullrelease script is a part of zest.releaser, which is the last
# package installed, so if it exists, the devenv is installed.
devenv:	ve/bin/fullrelease

ve/bin/fullrelease:
	virtualenv ve
	$(bin_dir)/pip install -e .[devenv]

update_mapping:
	$(bin_dir)/python update_windows_mappings.py

check:
	$(bin_dir)/black tzlocal tests
	$(bin_dir)/flake8 tzlocal tests
	$(bin_dir)/pyroma -d .

coverage:
	$(bin_dir)/coverage run $(bin_dir)/pytest
	$(bin_dir)/coverage html
	$(bin_dir)/coverage report

test:
	$(bin_dir)/pytest

release: update_mapping check
	$(bin_dir)/fullrelease

clean:
	rm -rf ve .coverage htmlcov build .pytest_cache

## python-tzlocal 1.2

=== debian/changelog ===
python-tzlocal (1.2-2) unstable; urgency=medium

  * Update Vcs-* control headers.
  * debian/rules: unset TZ, so tests don't fail (Closes: #802122)

 -- Edward Betts <edward@4angle.com>  Sun, 25 Oct 2015 08:45:30 +0000

python-tzlocal (1.2-1) unstable; urgency=low

  * Initial release. (Closes: #797503)

 -- Edward Betts <edward@4angle.com>  Thu, 03 Sep 2015 21:19:42 +0100

=== debian/control ===
Source: python-tzlocal
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-setuptools,
               python-tz,
               python3-all,
               python3-setuptools,
               python3-tz
Standards-Version: 3.9.6
Homepage: https://github.com/regebro/tzlocal
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tzlocal.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-tzlocal.git


Package: python-tzlocal
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: tzinfo object for the local timezone
 This Python module returns a tzinfo object with the local timezone
 information.
 .
 This package contains tzlocal for Python 2.

Package: python3-tzlocal
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: tzinfo object for the local timezone (Python 3 version)
 This Python module returns a tzinfo object with the local timezone
 information.
 .
 This package contains tzlocal for Python 3.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tzlocal/tzlocal-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-tzlocal 1.2.2

=== debian/changelog ===
python-tzlocal (1.2.2-1) unstable; urgency=medium

  * New upstream release. 

 -- Edward Betts <edward@4angle.com>  Tue, 22 Mar 2016 10:06:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all (>= 2.6.6-3),
+               python-all,
                python-setuptools,
                python-tz,
                python3-all,
                python3-setuptools,
                python3-tz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/regebro/tzlocal
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tzlocal.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-tzlocal.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tzlocal.git
 
 
 Package: python-tzlocal

## python-tzlocal 1.3

=== debian/changelog ===
python-tzlocal (1.3-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Edward Betts <edward@4angle.com>  Sun, 20 Nov 2016 21:06:58 +0000

python-tzlocal (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 18 Nov 2016 12:44:29 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                python3-setuptools,
                python3-tz
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/regebro/tzlocal
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tzlocal.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tzlocal.git

## python-tzlocal 1.4

=== debian/changelog ===
python-tzlocal (1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 21 Apr 2017 07:45:42 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tzlocal.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tzlocal.git
 
-
 Package: python-tzlocal
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}

## python-tzlocal 1.5.1

=== debian/changelog ===
python-tzlocal (1.5.1-1) unstable; urgency=medium

  [ Edward Betts ]
  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Upstream changed the license from CC0 to MIT.
  * The tests in the pypi release fail, but they work with the github
    release. This is because there is a symlink in the testsuite, sdist
    does not preserve symlinks when generating a pypi release. This
    package now uses the github release as upstream, so the tests pass.
  * Update debian/watch to check github instead of pypi.
  * Update debian/compat.
  * Update Standards-Version (no changes).
  * Add new Build-Depends: python-mock and python3-mock.
  * Instead of patching MANIFEST.in use pyremove to avoid installing
    test_data.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

 -- Edward Betts <edward@4angle.com>  Tue, 13 Feb 2018 06:40:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
+               python-mock,
                python-setuptools,
                python-tz,
                python3-all,
+               python3-mock,
                python3-setuptools,
                python3-tz
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/regebro/tzlocal
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-tzlocal.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-tzlocal.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tzlocal
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-tzlocal.git
 
 Package: python-tzlocal
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-tzlocal-$1\.tar\.gz/ \
  https://github.com/regebro/tzlocal/tags .*/v?(\d\S+)\.tar\.gz

## python-tzlocal 2.0.0b2

=== debian/changelog ===
python-tzlocal (2.0.0b2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 18 Jun 2019 12:05:55 +0100

python-tzlocal (2.0.0b1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version (no changes).
  * Update copyright year.
  * Add autopkgtest test suite.

 -- Edward Betts <edward@4angle.com>  Sat, 16 Mar 2019 10:56:52 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-mock,
                python3-setuptools,
                python3-tz
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/regebro/tzlocal
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tzlocal
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-tzlocal.git

=== debian/tests/control ===
Test-Command: python -munittest discover -v
Restrictions: allow-stderr
Depends: @, python-mock

Test-Command: python3 -munittest discover -v
Restrictions: allow-stderr
Depends: @, python3-mock

## python-tzlocal 2.1~b1

=== debian/changelog ===
python-tzlocal (2.1~b1-2) unstable; urgency=medium

  * Adjust debian/watch to use uversionmangle, so upstream beta versions
    are handled correctly.

 -- Edward Betts <edward@4angle.com>  Wed, 12 Feb 2020 09:33:42 +0000

python-tzlocal (2.1~b1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Set Rules-Requires-Root to no.
  * Update copyright year.
  * Update package description.

 -- Edward Betts <edward@4angle.com>  Tue, 11 Feb 2020 07:34:06 +0000

python-tzlocal (2.0.0b2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938235

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Dec 2019 22:16:51 -0500

python-tzlocal (2.0.0b2-3) unstable; urgency=medium

  * Restore python2 support, still needed by two other packages.

 -- Edward Betts <edward@4angle.com>  Sun, 01 Sep 2019 13:57:46 +0100

python-tzlocal (2.0.0b2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Edward Betts ]
  * Drop python2 support. (Closes: #938235)
  * Update Standards-Version (no changes).
  * Update debhelper-compat to 12.

 -- Edward Betts <edward@4angle.com>  Fri, 30 Aug 2019 12:34:34 +0100

=== debian/control ===
Source: python-tzlocal
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-mock,
               python3-setuptools,
               python3-tz
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/regebro/tzlocal
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tzlocal
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tzlocal.git

Package: python3-tzlocal
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: tzinfo object for the local timezone
 This Python module returns a tzinfo object with the local timezone
 information.
 .
 Example of usage:
 .
    >>> from tzlocal import get_localzone
    >>> tz = get_localzone()
    >>> tz
    <DstTzInfo 'Europe/Warsaw' WMT+1:24:00 STD>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tzlocal
unexport TZ  # test suite fails if TZ is set
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -munittest discover -v
Restrictions: allow-stderr
Depends: @, python3-mock

## python-tzlocal 2.1

=== debian/changelog ===
python-tzlocal (2.1-1) unstable; urgency=medium

  * New upstream release
  * Update debhelper-compat to 13
  * Switch from dh --with python in debian/rules to a dh-sequence-python3
    Build-Depends
  * Add debian/upstream/metadata

 -- Edward Betts <edward@4angle.com>  Mon, 31 Aug 2020 15:39:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-mock,
                python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tzlocal
unexport TZ  # test suite fails if TZ is set
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="uversionmangle=s/(\d)(b\d+)$/$1~$2/,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-tzlocal-$1\.tar\.gz/" \
  https://github.com/regebro/tzlocal/tags .*/v?(\d\S+)\.tar\.gz

## python-tzlocal 4.2

=== debian/changelog ===
python-tzlocal (4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 20 Apr 2022 08:43:55 +0100

python-tzlocal (4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Edward Betts ]
  * New upstream release.
  * Add python3-pytz-deprecation-shim as new Build-Depends.
  * Update Standards-Version.
  * Update copyright year.
  * Remove tzlocal.egg-info during clean target.

 -- Edward Betts <edward@4angle.com>  Sun, 13 Mar 2022 07:46:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-tzlocal
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
@@ -7,13 +7,14 @@
                dh-sequence-python3,
                python3-all,
                python3-mock,
+               python3-pytz-deprecation-shim,
                python3-setuptools,
                python3-tz
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/regebro/tzlocal
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tzlocal
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tzlocal.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tzlocal
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-tzlocal.git
 
 Package: python3-tzlocal
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 unexport TZ  # test suite fails if TZ is set
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf tzlocal.egg-info

=== debian/tests/control ===
Test-Command: python3 -munittest discover -v
Restrictions: allow-stderr
Depends: python3-mock, @

## python-tzlocal 5.0.1

=== debian/changelog ===
python-tzlocal (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.
  * No longer depends on python3-pytz-deprecation-shim.

 -- Edward Betts <edward@4angle.com>  Wed, 17 May 2023 12:07:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-mock,
-               python3-pytz-deprecation-shim,
                python3-setuptools,
                python3-tz
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/regebro/tzlocal
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tzlocal
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tzlocal.git

## python-tzlocal 5.2

=== debian/changelog ===
python-tzlocal (5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't fail the autopkg tests when no tests are run. Closes: #1061829.
  * Run the autopkg tests for all supported Python versions.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2024 02:16:00 +0100

python-tzlocal (5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 24 Oct 2023 13:11:53 +0100

python-tzlocal (5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 11 Oct 2023 05:10:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-mock,
                python3-setuptools,
                python3-tz
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: @, python3-all

## python-tzlocal 5.3

=== debian/changelog ===
python-tzlocal (5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Run tests using pytest (closes: #1063372).
  * Switch to autopkgtest-pkg-pybuild.
  * Simplify a debhelper override.

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Feb 2025 10:38:24 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-pytest <!nocheck>,
+               python3-pytest-mock <!nocheck>,
                python3-setuptools,
                python3-tz
 Rules-Requires-Root: no
@@ -14,6 +16,7 @@
 Homepage: https://github.com/regebro/tzlocal
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tzlocal
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tzlocal.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-tzlocal
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tzlocal
# We can't rely on pybuild for this, as it follows symlinks rather than copying
# them.
export PYBUILD_BEFORE_TEST=cp -a {dir}/tests {build_dir}/tests
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

%:
	dh $@ --buildsystem=pybuild

## python-tzlocal 5.3.1

=== debian/changelog ===
python-tzlocal (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Move packages required for tests to Build-Depends-Indep.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 09 Mar 2025 05:41:41 +0000

=== debian/control ===
Source: python-tzlocal
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-tz <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.1
Homepage: https://github.com/regebro/tzlocal
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tzlocal
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tzlocal.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-tzlocal
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: tzinfo object for the local timezone
 This Python module returns a tzinfo object with the local timezone
 information.
 .
 Example of usage:
 .
    >>> from tzlocal import get_localzone
    >>> tz = get_localzone()
    >>> tz
    <DstTzInfo 'Europe/Warsaw' WMT+1:24:00 STD>

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=tzlocal
 # We can't rely on pybuild for this, as it follows symlinks rather than copying
 # them.
 export PYBUILD_BEFORE_TEST=cp -a {dir}/tests {build_dir}/tests

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)(b\d+)$/$1~$2/" \
  https://github.com/regebro/tzlocal/tags .*/v?(\d\S+)\.tar\.gz
